<?php
session_start();
if(!isSet($_SESSION['page2hits'])){
  $_SESSION['page2hits'] = 1;
}
else{
  $_SESSION['page2hits']++;
}
if(!isSet($_SESSION['page1hits'])){
  $_SESSION['page1hits'] = 0;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Implementacja sesji</title>
</head>
<body>
<div>
<?php
echo "Liczba wizyt na pierwszej stronie: ";
echo $_SESSION['page1hits'];
echo "<br />";
echo "Liczba wizyt na drugiej stronie: ";
echo $_SESSION['page2hits'];
echo "<br />";
?>
<a href="index1.php">Pierwsza strona</a>
</div>
</body>
</html>
